<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>{% block title %}Welcome!{% endblock %}</title>
    {% block stylesheets %}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.1.6/css/uikit.min.css"/>
        <style>
            html {
                font-family: ProximaNova, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
                font-weight: 300;
            }

            h1, .uk-h1, h2, .uk-h2, h3, .uk-h3, h4, .uk-h4, h5, .uk-h5, h6, .uk-h6, .uk-heading-small, .uk-heading-medium, .uk-heading-large, .uk-heading-xlarge, .uk-heading-2xlarge {
                margin: 0 0 20px 0;
                font-family: ProximaNova, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
                font-weight: 300;
                color: #222;
                text-transform: none;
            }

            .my-icon {
                width: 2rem;
                margin-right: .85rem;
                vertical-align: middle;
                padding-bottom: 2px;
            }
        </style>
    {% endblock %}
</head>
<body>
{% block header %}
    {% set flashes = app.flashes %}
    {% if flashes is not empty %}
        <div class="uk-container">
            {% for label, messages in flashes %}
                {% for message in messages %}
                    <div class="uk-margin-top uk-alert uk-alert-{{ label }}">
                        {{- message -}}
                    </div>
                {% endfor %}
            {% endfor %}
        </div>
    {% endif %}
{% endblock %}
{% block body %}{% endblock %}
{% block javascripts %}
    <div class="invisibles"></div>
    <!-- UIkit JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.1.6/js/uikit.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.1.6/js/uikit-icons.min.js"></script>
{% endblock %}
</body>
</html>
